
import java.io.*;


public class Matrices{
	
	static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    private int[][] matrizA;	
		
	
	public Matrices(int[][] matrizA){
		this.matrizA = matrizA;		
	}	
	
	public int[][] multiplicar (int [][] matrizB) { 
      
      int[][] matrizAporB = new int [matrizA.length][matrizA.length]; 

      for (int i = 0; i < matrizA.length; i++){ 
         for (int j = 0; j < matrizB [0].length; j++){ 
            for(int k = 0; k < matrizA [0].length; k++){  
               matrizAporB [i][j] += matrizA [i][k] * matrizB [k][j]; 
            }
         }
      }
      
      return matrizAporB; 
   } 
   
   public static int[][] leerMatrizCuadrada(int n) throws IOException{
   	  
   	  int[][] matrizAux = new int[n][n];
   	  	
   	  for (int i = 0; i<n; i++) {
   	  	 for (int j = 0; j<n; j++) {
   	  	 	System.out.print (" ["+i+"]["+j+"] = ");
   	  	 	matrizAux[i][j] = Integer.valueOf(br.readLine());
	     }
	  }
	  
	  return matrizAux;   	  
   }
   
   
   public static void imprimirMatriz(int[][] m){
    	  
   	  for (int i = 0; i<m.length; i++) {
   	  	 System.out.print ("\n\n");
   	  	 for (int j = 0; j<m[0].length; j++) {
   	  	 	System.out.print ("\t"+m[i][j]);
	     }
	  }  	  
   }
   
   
   public static void main(String[] args) {	  
   	  
   	  try {
   	  	
   	  	System.out.print ("\n Digite N: ");
   	    int n = Integer.valueOf(br.readLine());
   	  	
   	  	System.out.print ("\n Datos Matriz A\n");
   	  	int[][] matrizA = Matrices.leerMatrizCuadrada(n);
   	  
   	  	Matrices m = new Matrices(matrizA); 
   	  	
   	  	System.out.print ("\n Datos Matriz B\n");
   	  	int[][] matrizB = Matrices.leerMatrizCuadrada(n);
   	  	
   	  	int[][] matrizAporB = m.multiplicar(matrizB); 
   	  	
   	  	System.out.print ("\n Matriz A");   	  	
   	  	Matrices.imprimirMatriz(matrizA);
   	  	
   	  	System.out.print ("\n\n\n Matriz B");   	  	
   	  	Matrices.imprimirMatriz(matrizB);
   	  	
   	  	System.out.print ("\n\n\n Matriz A * B");   	  	
   	  	Matrices.imprimirMatriz(matrizAporB);  	
   	  	
   	  	System.out.print ("\n\n ");  	
	  }
	  catch (Exception ex) {
	  	System.out.print ("\n NO aprueba de tontos \n\n ");
	  }  	  
   }	
}